# parsl.dataflow.errors.DependencyError

exception parsl.dataflow.errors.DependencyError(dependent_exceptions_tids: Sequence[Tuple[Exception, str]], task_id: int)
  Error raised if an app cannot run because there was an error

    in a dependency.

  Parameters:

    - dependent_exceptions_tids (-) – List of exceptions and identifiers for dependencies which failed. The identifier might be a task ID or the repr of a non-DFK Future.

    - task_id (-) – Task ID of the task that failed because of the dependency error